﻿using System.Windows;
using ThinkGeo.Core;

namespace TouchTest
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void mapView_Loaded(object sender, RoutedEventArgs e)
        {
            // Set the Map Unit.
            mapView.MapUnit = GeographyUnit.Meter;

            // Add a base map overlay.
            var cloudRasterBaseMapOverlay = new ThinkGeoCloudRasterMapsOverlay(
                "USlbIyO5uIMja2y0qoM21RRM6NBXUad4hjK3NBD6pD0~",
                "f6OJsvCDDzmccnevX55nL7nXpPDXXKANe5cN6czVjCH0s8jhpCH-2A~~", ThinkGeoCloudRasterMapsMapType.Light);
            mapView.Overlays.Add(cloudRasterBaseMapOverlay);

            var internalExtent = new RectangleShape(20, 70, 30, 60);
            var projectionConverter = new ProjectionConverter(4326, 3857);
            projectionConverter.Open();
            mapView.CurrentExtent = projectionConverter.ConvertToExternalProjection(internalExtent);
            mapView.Refresh();
        }
    }
}
